/* Header */

:root {
	--before-opacity: 0.4;
}

body.scrolling {
	--before-opacity: 0.8; 
}


/* Header Overlay */
.header::before {
	content: "";
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background: rgba(0, 0, 0, var(--before-opacity));
	z-index: 1;
	pointer-events: none;
	transition: background 1.0s ease;
}


.header {
    width: 100vw;
   height: var(--header-height);
    background-size: cover !important;
    position: relative;
    background-position: center center !important; 
    overflow: hidden;
}


.header .inner-bg {
    width: 100vw;
    height: 100%;
    background-size: cover !important;
    position: relative;
    background-position: center center !important; 
    overflow: hidden;

}

.header .inner-bg .content {
    color: #FFF;
    height:var(--header-height);
   width:calc(100vw - var(--main-padding) * 2);
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
	z-index: 9;
	position: relative;
}

.header .inner-bg .content p {
	padding-bottom: 15px;
	text-align: center;
	line-height: 1.5em;
	padding-left: 80px;
	padding-right: 80px;
}

.header .inner-bg .content h1 {
	color:var(--farbe-1) !important;
}

.header p {
	color:#FFF !important;
}




@media (max-width: 768px) {
	.header[data-mobile-responsive="true"],
	.header[data-mobile-responsive="true"]::before,
	.header[data-mobile-responsive="true"] .inner-bg{
		height: auto !important;
	}
	
	.header[data-mobile-responsive="true"] .inner-bg {
		background-size: contain !important;
		background-repeat: no-repeat !important;
		background-position: center top !important;
		height: auto !important;
	}
	
	
	.header[data-mobile-height="true"],
	.header[data-mobile-height="true"]::before,
	.header[data-mobile-height="true"] .inner-bg{
		height: var(-mobile-header-height) !important;
	}
	
	
	.header[data-mobile-responsive="true"] .inner-bg {
		background-size: cover !important;
		background-repeat: no-repeat !important;
		background-position: center top !important;
	}
	
}
